Bug 160866

Summary: Slotted nodes ignore transition
Product: WebKit Reporter: Keanu Lee <webkit>
Component: DOMAssignee: Nobody <webkit-unassigned>
Status: RESOLVED FIXED    
Severity: Normal CC: buildbot, cdumez, cgarcia, clopez, dino, koivisto, ossy, rniwa, webkit-bug-importer
Priority: P2 Keywords: InRadar
Version: Safari Technology Preview   
Hardware: Unspecified   
OS: Unspecified   
Bug Depends on: 165071    
Bug Blocks: 148695    
Attachments:
Description Flags
patch
sam: review+, buildbot: commit-queue-
Archive of layout-test-results from ews101 for mac-yosemite
none
Archive of layout-test-results from ews114 for mac-yosemite
none
Archive of layout-test-results from ews106 for mac-yosemite-wk2
none
Archive of layout-test-results from ews125 for ios-simulator-wk2 none

Description Keanu Lee 2016-08-15 14:53:11 PDT
Repro: http://jsbin.com/jaqofi/2/edit?html,output

As soon as a shadow root is added to an element, its children do not have CSS transitions. In this example:

    span {
      transition: background 2s;
    }
    body.green span {
      background: green;
    }

...

  <button onclick="document.body.classList.toggle('green')">Transition</button>

  <div>
    <span>No shadow root</span>
  </div>
  <div class="shadow">
    <span>Projected in shadow root</span>
  </div>

...

  document.querySelector('div.shadow').attachShadow({mode:'open'}).innerHTML = '<slot></slot>';


the second span does not transition.
Comment 1 Ryosuke Niwa 2016-08-15 16:13:14 PDT

*** This bug has been marked as a duplicate of bug 160427 ***
Comment 2 Keanu Lee 2016-11-11 12:14:16 PST
This is still a bug despite bug 160427 being fixed
Comment 4 Ryosuke Niwa 2016-11-11 20:31:18 PST
This is still broken so maybe it's the same issue as https://bugs.webkit.org/show_bug.cgi?id=164608 ?
Comment 5 Radar WebKit Bug Importer 2016-11-11 20:34:19 PST
<rdar://problem/29231901>
Comment 6 Antti Koivisto 2016-11-28 10:27:01 PST
Created attachment 295495 [details]
patch
Comment 7 Build Bot 2016-11-28 13:41:49 PST
Comment on attachment 295495 [details]
patch

Attachment 295495 [details] did not pass mac-ews (mac):
Output: http://webkit-queues.webkit.org/results/2584603

New failing tests:
compositing/updates/no-style-change-updates.html
Comment 8 Build Bot 2016-11-28 13:41:53 PST
Created attachment 295525 [details]
Archive of layout-test-results from ews101 for mac-yosemite

The attached test failures were seen while running run-webkit-tests on the mac-ews.
Bot: ews101  Port: mac-yosemite  Platform: Mac OS X 10.10.5
Comment 9 Build Bot 2016-11-28 13:58:56 PST
Comment on attachment 295495 [details]
patch

Attachment 295495 [details] did not pass mac-debug-ews (mac):
Output: http://webkit-queues.webkit.org/results/2584653

New failing tests:
compositing/updates/no-style-change-updates.html
Comment 10 Build Bot 2016-11-28 13:59:00 PST
Created attachment 295527 [details]
Archive of layout-test-results from ews114 for mac-yosemite

The attached test failures were seen while running run-webkit-tests on the mac-debug-ews.
Bot: ews114  Port: mac-yosemite  Platform: Mac OS X 10.10.5
Comment 11 Build Bot 2016-11-28 14:19:31 PST
Comment on attachment 295495 [details]
patch

Attachment 295495 [details] did not pass mac-wk2-ews (mac-wk2):
Output: http://webkit-queues.webkit.org/results/2584682

New failing tests:
compositing/layer-creation/translate-transition-overlap.html
compositing/updates/no-style-change-updates.html
Comment 12 Build Bot 2016-11-28 14:19:35 PST
Created attachment 295531 [details]
Archive of layout-test-results from ews106 for mac-yosemite-wk2

The attached test failures were seen while running run-webkit-tests on the mac-wk2-ews.
Bot: ews106  Port: mac-yosemite-wk2  Platform: Mac OS X 10.10.5
Comment 13 Build Bot 2016-11-28 14:26:50 PST
Comment on attachment 295495 [details]
patch

Attachment 295495 [details] did not pass ios-sim-ews (ios-simulator-wk2):
Output: http://webkit-queues.webkit.org/results/2584751

New failing tests:
compositing/updates/no-style-change-updates.html
Comment 14 Build Bot 2016-11-28 14:26:54 PST
Created attachment 295534 [details]
Archive of layout-test-results from ews125 for ios-simulator-wk2

The attached test failures were seen while running run-webkit-tests on the ios-sim-ews.
Bot: ews125  Port: ios-simulator-wk2  Platform: Mac OS X 10.11.6
Comment 15 Antti Koivisto 2016-11-29 03:00:31 PST
https://trac.webkit.org/r209065 (with a fix for the failing test)
Comment 16 Csaba Osztrogon√°c 2016-11-29 04:15:46 PST
(In reply to comment #15)
> https://trac.webkit.org/r209065 (with a fix for the failing test)

It broke the GTK build: https://build.webkit.org/builders/GTK%20Linux%2064-bit%20Release%20%28Build%29/builds/75132
Comment 17 Csaba Osztrogon√°c 2016-11-29 04:19:07 PST
and the Apple Windows build too: https://build.webkit.org/builders/Apple%20Win%20Release%20%28Build%29/builds/82191
Comment 18 Antti Koivisto 2016-11-29 04:58:32 PST
https://trac.webkit.org/r209066 should help